/**
 *@des 公共接口
 *@author zhengjinyi
 *@date 2020/03/19 14:56:57
 *@param registerByPass
 */
import requestUrl from '@/services/ajax.env.js'
import request from '@/common/config/caimeiApi.js'
import $reg from '@/common/config/common.js'

/**
 * @新分类下的商品列表
 * @param:tinyTypeID 三级分类ID
 * @param:pageNum	页码
 * @param:pageSize	每页显示条数
 */
export function searchQueryTinyType(url,params) {
	return new Promise(function(resolve,reject) {
		request.lodingGet(url,params, res => {
			if(res.code == 0){
				resolve(res);
			}else{
				reject(res)
			}
		})
	});
}
/**
 *上传图片
 */
export function uploadFileImage() {
	return new Promise(function(resolve,reject) {
		uni.chooseImage({
			count: 1, //默认1
			sizeType: ['original','compressed'], //可以指定是原图还是压缩图，默认二者都有
			sourceType: ['album'], //从相册选择
			success: (res) => {
				const tempFilePaths = res.tempFilePaths;
				const uploadTask = uni.uploadFile({
					url : requestUrl+'/formData/MultiPictareaddData',
					filePath: tempFilePaths[0],
					name: 'file',
					header: {
					    "Content-Type": "multipart/form-data",
					},
					formData: {
						'user': 'test'
					},
					success: function (res) {
						resolve(res);
					},
					error : function(e){
						reject(res)
					}
				})
			}
		});
	});
}
/**
 *上传文件
 */
export function uploadFilePdf() {
	return new Promise(function(resolve,reject) {
		wx.chooseMessageFile({
			count: 1,
			type: 'file',
			success (res) {
				// tempFilePath可以作为img标签的src属性显示图片
				const tempFilePaths = res.tempFiles
				const size = tempFilePaths[0].size;
				const filename = res.tempFiles[0].name;
				const newfilename = filename + ""; 
				const url = requestUrl+'/file/upload';
				uni.setStorageSync('fileName',filename)
				console.log('filename',filename)
				console.log('size',size)
				console.log('tempFilePaths',tempFilePaths)
				// if (size > 10240000 || newfilename.indexOf(".pdf")==-1){ //限制了文件的大小和具体文件类型
				// 	uni.showToast({
				// 		title: '文件大小不能超过10MB,格式必须为pdf！',
				// 		icon:'none',
				// 		mask:true,
				// 		duration: 2000
				// 	});
				// }
				wx.uploadFile({
					url : url,
					filePath: tempFilePaths[0].path,
					name: 'file',
					header: {
					    "Content-Type": "multipart/form-data",
					},
					formData: {
						'user': 'test'
					},
					success: function (res) {
						resolve(res);
					},
					error : function(err){
						reject(err)
					}
				})
			}
		})
	});
}